MirroredTypeException (Java SE 15 & JDK 15)
Description: declaration: module: java.compiler, package: javax.lang.model.type, class: MirroredTypeException
Keywords: javax.lang.model.type.MirroredTypeException class

Module java.compiler
Package javax.lang.model.type

# Class MirroredTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.lang.model.type.MirroredTypesException
javax.lang.model.type.MirroredTypeException

All Implemented Interfaces:
  `Serializable`

    public class MirroredTypeException
    extends MirroredTypesException

Thrown when an application attempts to access the `Class` object corresponding to a `TypeMirror`.

Since:
  1.6
See Also:
  `MirroredTypesException`, `Element.getAnnotation(Class)`, Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MirroredTypeException​(TypeMirror type)` | Constructs a new MirroredTypeException for the specified type.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `TypeMirror` | `getTypeMirror()` | Returns the type mirror corresponding to the type being accessed.

  ### Methods declared in class javax.lang.model.type.MirroredTypesException

  `getTypeMirrors`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MirroredTypeException

    public MirroredTypeException​(TypeMirror type)
    Constructs a new MirroredTypeException for the specified type.
    Parameters:
      `type` - the type being accessed

- ## Method Details

  - ### getTypeMirror

    public TypeMirror getTypeMirror()
    Returns the type mirror corresponding to the type being accessed. The type mirror may be unavailable if this exception has been serialized and then read back in.
    Returns:
      the type mirror, or `null` if unavailable